View Issue Details

IDProjectCategoryView StatusLast Update
0003139unrealircdpublic2007-05-04 09:02
ReportervonitsanetAssigned Tostskeeps 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSallOS Versionall
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003139: Improve error message for /connect
DescriptionWhen wildcard is used for hostname on the link block; when an oper tries to /connect this server it should say
"You can't connect a server with wildcard on hostname"
and not
"Unable to resolve hostname '*', when trying to connect to server server.name"
TagsNo tags attached.
3rd party modules

Activities

WolfSage

2007-04-18 17:08

reporter   ~0013536

Simple fix if so, can we do it or should this not be changed?

aquanight

2007-04-28 21:53

reporter   ~0013920

Considering the ircd would in theory never succeed on such an attempt, I do agree connect should be rejected.

Furthermore, I'm thinking maybe we raise error if options::autoconnect is used with wildcard hostname.

stskeeps

2007-05-04 09:02

reporter   ~0014001

Fixed in .2389

Issue History

Date Modified Username Field Change
2006-12-06 07:42 vonitsanet New Issue
2006-12-06 08:05 syzop Summary Improve error message for connect => Improve error message for /connect
2007-04-18 17:08 WolfSage Note Added: 0013536
2007-04-19 02:58 stskeeps Status new => acknowledged
2007-04-28 21:53 aquanight Note Added: 0013920
2007-05-04 09:02 stskeeps Status acknowledged => resolved
2007-05-04 09:02 stskeeps Fixed in Version => 3.3-alpha0
2007-05-04 09:02 stskeeps Resolution open => fixed
2007-05-04 09:02 stskeeps Assigned To => stskeeps
2007-05-04 09:02 stskeeps Note Added: 0014001